import { FormattedDispatch } from "./FormattedDispatch";
import { IDispatch } from "./IDispatch";
import { ILogItem } from "../ILogItem";
import { LogLevel } from "../LogLevel";

export class StdoutDispatch extends FormattedDispatch {
  output(item: ILogItem) {
    process.stdout.write(item.data + "\n");
  }
}
